"use strict";

function initializeUI(user, sockWrapper) {
  $(".media form").submit(function () {
    console.log('sending create_room');
    sockWrapper.onMessage(Api.CREATE_ROOM, function (data) {
      console.log('create_room response: ', data);
      if (data.success === true) {
        console.log('success = true');
        window.location.href = '/room/' + data.roomName;
      } else {
        alert("Couldn't create a room: " + data.msg);
      }
    });
    sockWrapper.sendType(Api.CREATE_ROOM, {
      room: {
        streamFromMiddle: false, //$("#stream_from_middle").prop('checked')
        pointsForTitle: parseInt($("#points_for_title").val()),
        pointsForArtist: parseInt($("#points_for_artist").val()),
        answerWindow: parseInt($("#answer_window").val()),
        enableSpeedDecay: $("#enable_speed_decay").prop('checked'),
        playonTime: parseInt($("#playon_time").val()),
        hintTime: parseInt($("#hint_time").val())
      },
      user: user
    });
    return false;
  });
}

$(document).ready(function() {
  initUser(function (user) {
    console.log('got user: ', user);
    initServer(function (ws) {
      console.log('connected to socket');
      initializeUI(user, new SockWrapper(ws));
    });
  });
});
